- name: Demo on varible using vars
  hosts: all
  vars:
   URL: vars.google.com

  tasks: 
    - name: print a variable
      debug:
        msg: URL = {{URL}}

    - name: print a varible from tasks
       debug:
         msg: URL = {{URL}}
       vars:
         URL: task.google.com